Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath
Class Expression

    java.lang.Object
      |
      +--org.apache.xpath.Expression

Direct Known Subclasses:
  Function, LocPathIterator, NodeTest, Operation, UnaryOperation, UnionPathIterator, UnionPattern, Variable, XObject

public abstract class Expression
extends java.lang.Object

Constructor Summary
`Expression()`

Method Summary
`void` | `assert(boolean b, java.lang.String msg)` Tell the user of an assertion error, and probably throw an exception.
`void` | `error(XPathContext xctxt, int msg, java.lang.Object[] args)` Tell the user of an error, and probably throw an exception.
`abstract XObject` | `execute(XPathContext xctxt)`
`void` | `warn(XPathContext xctxt, int msg, java.lang.Object[] args)` Warn the user of an problem.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expression

    public Expression()

Method Detail

### execute

    public abstract XObject execute(XPathContext xctxt)
                             throws SAXException

### warn

    public void warn(XPathContext xctxt,
                     int msg,
                     java.lang.Object[] args)
              throws SAXException

  Warn the user of an problem.

### assert

    public void assert(boolean b,
                       java.lang.String msg)
                throws SAXException

  Tell the user of an assertion error, and probably throw an exception.

### error

    public void error(XPathContext xctxt,
                      int msg,
                      java.lang.Object[] args)
               throws SAXException

  Tell the user of an error, and probably throw an exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.